#!/bin/sh

JRE_Version=jre1.7.0_09
Release=7u9
Myarch=32

if [ $Myarch == "64" ]; then
    DownloadUrl="http://javadl.sun.com/webapps/download/AutoDL?BundleId=69467"
    DownloadFile="jre-$Release-linux-x64.tar.gz"
else
    DownloadUrl="http://javadl.sun.com/webapps/download/AutoDL?BundleId=69465"
    DownloadFile="jre-$Release-linux-i586.tar.gz"
fi

#wget -v --base="%{DownloadUrl}" -O $DownloadFile
wget -v "$DownloadUrl" -O "/tmp/$DownloadFile"

mkdir -p /opt/java/$Myarch && cd /opt/java/$Myarch
mv /tmp/$DownloadFile /opt/java/$Myarch/$DownloadFile
tar xvfz  $DownloadFile

# now make new jre the default
# Arch Plug-ins thingsmc
if [ $Myarch == "64" ]; then
    # update the browser plugin
    update-alternatives --install /usr/lib64/mozilla/plugins/javaplugin.so javaplugin /opt/java/$Myarch/$JRE_Version/lib/amd64/libnpjp2.so 20000
    update-alternatives --set javaplugin /opt/java/$Myarch/$JRE_Version/lib/amd64/libnpjp2.so
    update-alternatives --auto javaplugin
    # control panel
    ln -sf /opt/java/$Myarch/$JRE_Version/bin/ControlPanel /usr/bin/ControlPanel
else
    # update the browser plugin
    update-alternatives --install /usr/lib/mozilla/plugins/javaplugin.so javaplugin /opt/java/$Myarch/$JRE_Version/lib/i386/libnpjp2.so 20000
    update-alternatives --set javaplugin /opt/java/$Myarch/$JRE_Version/lib/i386/libnpjp2.so
    update-alternatives --auto javaplugin
    # control panel
    ln -sf /opt/java/$Myarch/$JRE_Version/bin/ControlPanel /usr/bin/ControlPanel
fi

# now tell the system there is a new java version available
update-alternatives --install /usr/bin/java java /opt/java/$Myarch/$JRE_Version/bin/java 20000
update-alternatives --set java /opt/java/$Myarch/$JRE_Version/bin/java
update-alternatives --auto java

# for webstart
update-alternatives --install /usr/bin/javaws javaws /opt/java/$Myarch/$JRE_Version/bin/javaws 20000
update-alternatives --set javaws /opt/java/$Myarch/$JRE_Version/bin/javaws
update-alternatives --auto javaws


# cleanup
rm /opt/java/$Myarch/$DownloadFile
